# This file created by conda-build 2.1.17
# meta.yaml template originally from:
# C:\Users\rdonnelly\conda\conda-recipes\r-packages\r-shinyjs, last modified Thu Aug  3 19:32:43 2017
# ------------------------------------------------

package:
    name: r-shinyjs
    version: '0.9'
source:
    fn: shinyjs_0.9.tar.gz
    sha256: 739a1af0d76ce4c594047ac3da43af85f9c8ed1d5e7be37bcf1a20ccae6c09c2
    url:
        - https://cran.r-project.org/src/contrib/shinyjs_0.9.tar.gz
        - https://cran.r-project.org/src/contrib/Archive/shinyjs/shinyjs_0.9.tar.gz
build:
    noarch: ''
    noarch_python: false
    number: '0'
    rpaths:
        - lib/R/lib/
        - lib/
    string: r3.4.1_0
requirements:
    build:
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 3
        - m2w64-mpfr 3.1.4 4
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
        - r-base 3.4.1 0
        - r-digest 0.6.12 r3.4.1_0
        - r-htmltools 0.3.6 r3.4.1_0
        - r-httpuv 1.3.3 r3.4.1_0
        - r-jsonlite 1.5 r3.4.1_0
        - r-mime 0.5 r3.4.1_0
        - r-miniui 0.1.1 r3.4.1_0
        - r-r6 2.2.1 r3.4.1_0
        - r-rcpp 0.12.11 r3.4.1_0
        - r-shiny 1.0.3 r3.4.1_0
        - r-sourcetools 0.1.6 r3.4.1_0
        - r-xtable 1.8_2 r3.4.1_0
    run:
        - r-base
        - r-digest >=0.6.8
        - r-htmltools >=0.2.6
        - r-jsonlite
        - r-miniui >=0.1.1
        - r-shiny >=0.11.1
test:
    commands:
        - '"%R%" -e "library(''shinyjs'')"'
about:
    home: http://deanattali.com/shinyjs
    license: MIT + file LICENSE
    license_family: MIT
    summary: 'Perform common useful JavaScript operations in Shiny apps that will
        greatly improve your apps without having to know any JavaScript. Examples
        include: hiding an element, disabling an input, resetting an input back to
        its original value, delaying code execution by a few seconds, and many more
        useful functions for both the end user and the developer. ''shinyjs'' can
        also be used to easily call your own custom JavaScript functions from R.'
extra:
    final: true
